# Dagger

Dagger is a programmable deployment system.

Using Dagger, software builders can automate the deployment of any application
to any infrastructure, in just a few lines of code.

![image](https://user-images.githubusercontent.com/29565/112705398-d0222980-8e5b-11eb-98b9-32c117a3d606.jpeg)

The Dagger platform adapts to your application, not the other way around.
Thanks to its ecosystem of reusable packages and flexible scripting system,
Dagger can be dropped into any software project without requiring changes to
its architecture or workflow. Think of it as your "devops superglu".

No matter how your deployment works under the hood, you can manage it with the
same Dagger user interface. This makes developers more productive, because they
don't have to learn a new workflow every time their deployment system changes.

## Learn More

* [Dagger vs. Other Software](docs/vs.md)
* [Dagger Programming Guide](docs/programming.md)
* [Dagger Operator Manual](docs/operator.md)

## Download and Install

* [Install Dagger from source](docs/install.md)
* Binary distributions [*coming soon*]

## Community

Join the [Dagger community chatroom](https://discord.gg/Rmffpmc) on Discord.
We welcome beginners and experts alike!

## Alpha disclaimer

Dagger is *alpha-quality software*. It has many bugs, the user interface is
minimal, and it may change in incompatible ways at any time. If you are still
willing to try it, thank you! We appreciate your help and encourage you to ask
questions and report issues.
